notification-daemon (3.20.0-4) unstable; urgency=medium

  * Restore -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 27 Dec 2018 11:28:22 -0500

notification-daemon (3.20.0-3) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Update Vcs fields for migration to https://salsa.debian.org/

  [ Dmitry Shachnev ]
  * Fix location of notification-daemon binary (closes: #887506).
  * Bump Standards-Version to 4.1.3, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 03 Feb 2018 20:23:14 +0300

notification-daemon (3.20.0-2) unstable; urgency=medium

  * Switch from cdbs to dh
  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 17 Dec 2017 17:14:20 -0500

notification-daemon (3.20.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump libgtk-3-dev dependency to 3.19.5, following upstream.
  * Remove /etc/xdg/autostart/notification-daemon-autostart.desktop file in
    the maintainer script; dropped upstream.
  * Bump Standards-Version to 3.9.8, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 19 Apr 2016 19:59:21 +0300

notification-daemon (3.18.2-1) unstable; urgency=medium

  * New upstream release with updated translations.
  * Bump Standards-Version to 3.9.7, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 18 Feb 2016 17:39:22 +0300

notification-daemon (3.18.1-1) unstable; urgency=medium

  * New upstream release.
    - Fixes empty body text with invalid pango markup (closes: #801157).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 14 Oct 2015 14:37:09 +0300

notification-daemon (3.18.0-1) unstable; urgency=medium

  * New upstream release.
    - Fixed localization issues (closes: #680751).
  * Drop libcanberra-gtk3-dev and intltool build-dependencies, no longer
    needed.
  * Update list of authors in debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 23 Sep 2015 16:40:39 +0300

notification-daemon (3.17.2-2) unstable; urgency=medium

  * Properly handle conffile renaming using dpkg-maintscript-helper
    (closes: #788784).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 16 Jun 2015 19:48:59 +0300

notification-daemon (3.17.2-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.
  * debian/changelog: Remove tabs from an old changelog entry.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 14 Jun 2015 21:31:24 +0300

notification-daemon (3.17.1-1) experimental; urgency=medium

  * New upstream release.
    - Timeout option is now supported (closes: #664248).
  * Build-depend on libgtk-3-dev 3.15.2 (according to configure.ac).
  * debian/control: Fix Vcs-Browser field.
  * Install the correct file (NEWS) as upstream changelog.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 24 May 2015 21:39:48 +0300

notification-daemon (3.14.1-1) experimental; urgency=medium

  * New upstream release.
  * Drop all patches, applied upstream.
  * Build-depend on libgtk-3-dev 3.8.0 (according to configure.ac).
  * Drop debian/notification-daemon.desktop, the autostart file
    is now provided by upstream.
  * Update Homepage field.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update debhelper compatibility level to 9.
  * Drop ancient Conflicts on notify-daemon.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 30 Nov 2014 20:25:07 +0300

notification-daemon (0.7.6-2) unstable; urgency=medium

  * Team upload.

  [ Jeremy Bicha ]
  * Use canonical Vcs-* fields.

  [ intrigeri ]
  * Fix_GSource_usage_with_recent_GLib.patch: new patch, from upstream
    Bugzilla (Closes: #747465).
  * Fix_positioning_notifications_with_long_text.patch: new patch,
    from upstream Bugzilla (Closes: #693837).

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 17 Oct 2014 13:00:53 +0200

notification-daemon (0.7.6-1) unstable; urgency=low

  * New upstream bugfix and translation release.

 -- Michael Biebl <biebl@debian.org>  Thu, 27 Sep 2012 04:01:37 +0200

notification-daemon (0.7.5-1) unstable; urgency=low

  * New upstream translation release.

 -- Michael Biebl <biebl@debian.org>  Wed, 06 Jun 2012 11:54:37 +0200

notification-daemon (0.7.4-1) unstable; urgency=low

  [ Michael Biebl ]
  * debian/patches/01_avoid_crash_for_boolean_hints.patch:
    - Avoid crashes for boolean hints. (Closes: 636323)
      Thanks anomie@users.sourceforge.net for the patch.

  [ Josselin Mouette ]
  * Update repository URL.

  [ Michael Biebl ]
  * New upstream release.
  * debian/patches/99_ltmain_as-needed.patch: Removed, no longer necessary.
  * debian/copyrigh: Update Format to the final copyright format 1.0 spec.
  * Bump Standards-Version to 3.9.3.

 -- Michael Biebl <biebl@debian.org>  Tue, 27 Mar 2012 17:20:39 +0200

notification-daemon (0.7.3-1) unstable; urgency=low

  * New upstream release.
  * debian/watch:
    - Track .xz tarballs.

 -- Michael Biebl <biebl@debian.org>  Tue, 18 Oct 2011 03:28:53 +0200

notification-daemon (0.7.2-1) unstable; urgency=low

  * New upstream release.
  * Drop Build-Depends on libdbus-glib-1-dev.

 -- Michael Biebl <biebl@debian.org>  Fri, 09 Sep 2011 16:44:07 +0200

notification-daemon (0.7.1-6) unstable; urgency=low

  * Stop killing notification-daemon on upgrades or removal. (Closes: #639181)

 -- Michael Biebl <biebl@debian.org>  Fri, 02 Sep 2011 18:28:32 +0200

notification-daemon (0.7.1-5) unstable; urgency=low

  * Update xdg autostart file to show up in GNOME 3 fallback mode.

 -- Michael Biebl <biebl@debian.org>  Sat, 20 Aug 2011 15:13:27 +0200

notification-daemon (0.7.1-4) unstable; urgency=low

  [ Michael Biebl ]
  * Remove obsolete man page for notification-properties. (Closes: #637088)
  * Install autostart file for desktop environments which don't provide their
    own notification system as notification-daemon is no longer started on
    demand via dbus activation.

  [ Ben Tucker ]
  * debian/control.in: Moved the homepage into an appropriate Homepage tag
    instead of sitting in the description. Also removed a nonsensical sentence
    at the end of the description ("as per the Desktop Notifications spec").
    (LP: #557887, Closes: #632139)

 -- Michael Biebl <biebl@debian.org>  Fri, 19 Aug 2011 22:23:19 +0200

notification-daemon (0.7.1-3) unstable; urgency=low

  * debian/control.in: Bump Standards-Version to 3.9.2 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 31 Jul 2011 00:42:07 +0200

notification-daemon (0.7.1-2) experimental; urgency=low

  * debian/control.in: Add back libdbus-glib-1-dev build dependency. configure
    doesn't check for it, but the build still uses dbus-binding-tool.

 -- Martin Pitt <mpitt@debian.org>  Wed, 08 Jun 2011 09:14:07 +0200

notification-daemon (0.7.1-1) experimental; urgency=low

  * New upstream release, compatible with libnotify 0.7 API, and ported to GTK
    3 and gdbus.
  * debian/control.in: Update build dependencies according to configure.ac.
  * Drop 04_dont_crash_on_critical_warnings.patch. This is an old workaround
    for bugs which presumably have been fixed ages ago. If there are still
    bugs, let's fix them instead.
  * debian/rules: Remove *.a/*.la cleanup, fixed upstream.
  * debian/control.in: Update Vcs-* for experimental branch.

 -- Martin Pitt <mpitt@debian.org>  Wed, 08 Jun 2011 08:56:13 +0200

notification-daemon (0.5.0-3) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * Now maintained by the GNOME team.
  * debian/control.in,
    debian/rules:
    + Add GNOME magic.

  [ Martin Pitt ]
  * Add debian/watch.
  * debian/control.in: Add Vcs-* headers.
  * debian/control.in: Add missing gnome-pkg-tools build dependency.
  * debian/copyright: Update to current copyrights and licenses, and convert
    to DEP-5.
  * debian/control.in: Bump Standards-Version to 3.9.1.

 -- Martin Pitt <mpitt@debian.org>  Wed, 08 Jun 2011 08:28:44 +0200

notification-daemon (0.5.0-2) unstable; urgency=low

  * debian/notification-daemon.prerm:
    + Kill the daemon in prerm if the package is going
      to be removed (Closes: #518722).
  * debian/notification-daemon.manpages,
    debian/notification-properties.1:
    + Add manpage for notification-properties. Thanks to François Wendling
      for the manpage (Closes: #539811).
  * debian/control:
    + Improve package description (Closes: #340480).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 29 Jun 2010 09:13:05 +0200

notification-daemon (0.5.0-1) unstable; urgency=low

  * New upstream release:
    + debian/rules,
      debian/compat,
      debian/control.in,
      debian/source/format,
      debian/patches/*:
      - Update to debhelper compat level 7.
      - Update to source format 3.0 (quilt).
      - Update to Standards-Version 3.8.4.
    + debian/control:
      - Update and cleanup build dependencies.
    + debian/patches/01_hide-capplet.patch,
      debian/patches/03_fix_xinerama_stack_c.patch,
      debian/patches/05_notification_spacing.patch,
      debian/patches/07_memleak_daemon.patch:
      - Dropped, fixed upstream.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 29 Jun 2010 07:17:39 +0200

notification-daemon (0.4.0-2) unstable; urgency=low

  * debian/patches/01_hide-capplet.patch:
    + Hide the notification-daemon capplet (Closes: #522877).
  * debian/control:
    + Update Standards-Version to 3.8.3.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 08 Oct 2009 12:38:58 +0200

notification-daemon (0.4.0-1) unstable; urgency=low

  * New upstream release (Closes: #510930, #344883):
    + Fixes size requests so that all text is shown (Closes: #474236, #509346).
    + Fixes xinerama issues (Closes: #474235).
    + Properly escapes text (Closes: #496261).
    + debian/patches/03_fix_xinerama_theme_c.patch:
      - Dropped, fixed upstream.
    + debian/control:
      - Update build dependencies from configure.ac.
  * debian/control:
    + Remove GNOME team and add myself to Uploaders.
    + Update Standards-Version to 3.8.0.
    + Line-wrap dependencies, etc.
  * debian/control,
    debian/compat:
    + Update to debhelper compat level 5.
  * debian/patches/99_ltmain_as-needed.patch:
    + Remove some unneeded dependencies.
  * debian/patches/05_notification_spacing.patch:
    + Add a small space between two notifications,
      patch taken from the Ubuntu package (Closes: #450823).
  * debian/patches/07_memleak_daemon.patch:
    + Fix a small memory leak in the daemon,
      patch taken from the Ubuntu package.
  * debian/patches/04_dont_crash_on_critical_warnings.patch:
    + Don't crash on critical warnings (Closes: #474234).

 -- Sebastian Dröge <slomo@debian.org>  Thu, 05 Mar 2009 13:28:12 +0100

notification-daemon (0.3.7-1) unstable; urgency=low

  * New upstream release.
  * 03_fix_xinerama_theme_c.patch

 -- Riccardo Setti <giskard@debian.org>  Sat, 24 Mar 2007 16:11:28 +0100

notification-daemon (0.3.6-1) unstable; urgency=low

  * New upstream release.
  * Removed:
    - 05_dont_crash_on_0_sized_icons.patch
    - 06_fix_assertion_with_newer_gtk.patch
    - 70_relibtoolize.patch
    no more necessary or applied upstream.
  * Updated 04_dont_crash_on_critical_warnings.patch.
  * Splitted 03_xinerama.patch in:
    - 03_fix_xinerama_stack_c.patch
    - 03_fix_xinerama_theme_c.patch

 -- Riccardo Setti <giskard@debian.org>  Sat, 18 Nov 2006 14:37:12 +0100

notification-daemon (0.3.5-2) unstable; urgency=low

  * added patches:
       01_removed-daemon-meamleak.patch
       03_xinerama.patch
       04_dont_crash_on_critical_warnings.patch
       05_dont_crash_on_0_sized_icons.patch
       06_fix_assertion_with_newer_gtk.patch

 -- Riccardo Setti <giskard@debian.org>  Thu, 21 Sep 2006 19:44:10 +0200

notification-daemon (0.3.5-1) unstable; urgency=low

  * New Upstream release.

 -- Riccardo Setti <giskard@debian.org>  Sun, 23 Jul 2006 12:35:37 +0200

notification-daemon (0.3.4-4) unstable; urgency=low

  * removed a bashism in debian/rules. (closes: #353498)
  - Brace expansion is no more used in debian/rules.

 -- Riccardo Setti <giskard@autistici.org>  Sun, 19 Feb 2006 18:23:19 +0100

notification-daemon (0.3.4-3) unstable; urgency=low

  * Fixed notification-daemon.postinst (closes: #353251)
  - now the postinst script will not die if notification-daemons is not
  running. Thank to Nicolas François for providing the patch.

 -- Riccardo Setti <giskard@autistici.org>  Sat, 18 Feb 2006 19:23:35 +0100

notification-daemon (0.3.4-2) unstable; urgency=low

  * Added myself to the uploaders
  * removed .la .a files from notification-daemon
  * added debian/notification-daemon.postinst
  - notification-daemon is restarted when a new package is installed

 -- Riccardo Setti <giskard@autistici.org>  Tue, 14 Feb 2006 20:24:59 +0100

notification-daemon (0.3.4-1) unstable; urgency=low

  * New upstream release.
    - Bump up libgtk2.0-dev build-dep to >= 2.4.0.
    - Add libglib2.0-dev (>= 2.4) build-dep.
    - Add libdbus-1-dev (>= 0.36) build-dep.
    - Relibtoolize.
  * Update download URL.
  * Add --as-needed to linker flags to optimize deps.

 -- Loic Minier <lool@dooz.org>  Sun, 12 Feb 2006 19:32:35 +0100

notification-daemon (0.3.3-1) unstable; urgency=low

  * New upstream release
  - upstream unmade the renaming; gah
  - added intltool, libsexy-dev, and libgconf2-dev for they are
    needed

  Riccardo Setti:
  * changed long description (closes: #349449)
  * added libpopt-dev to Build-Depends

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 29 Jan 2006 09:35:12 -0200

notify-daemon (0.3.1-1) unstable; urgency=low

  * New upstream release
  - renamed from notification-daemon
  * debian/control.in:
  - updated build-deps to require libdbus-glib-1-dev >= 0.60 and
    libpopt-dev
  - renamed source and binary packages to reflect upstream's
    name change
  - added Conflicts on notification-daemon to notify-daemon
  * debian/patches:
  - 04_smarter_arrow_placement.patch, 05_incorrect_draw_arrow.patch
    06_right_padding.patch, 07_no_notification_on_screensaver.patch
    no longer apply: this upstream release is a complete revamp in
    the code, removed;

 -- Gustavo Noronha Silva <kov@debian.org>  Fri, 13 Jan 2006 15:51:18 -0200

notification-daemon (0.2.2-1) experimental; urgency=low

  * First upload to Debian

  Andre Filipe de Assuncao e Brito:
  * New upstream release Closes: #335591
  * debian/copyright:
    - Updated URL Project to:
      http://www.galago-project.org/files/releases/source/
  * Remove debian/patches:
    -01_dbus_datatypes.patch
    -02_fix_64bit_typecast.patch
    -03_fix_workspace_query.patch
       - Applied Upstream
  * debian/control:
    - Updated Specs URL to:
      http://www.galago-project.org/specs/notification/index.php

  Gustavo Noronha Silva:
  * debian/patches/07_no_notification_on_screensaver.patch:
  - removed all the patching about autom4te.cache
  * debian/copyright:
  - mention that src/dbus-compat.h, sexy-url-label.h, and
    sexy-url-label.c are not GPL, but LGPL

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 13 Nov 2005 21:16:03 -0200

notification-daemon (0.2.1-0ubuntu13) breezy; urgency=low

  * debian/patches/07_no_notification_on_screensaver.patch:
    - make sure that the window-list is up-to-date in wnck

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 26 Sep 2005 15:20:06 +0200

notification-daemon (0.2.1-0ubuntu12) breezy; urgency=low

  * debian/patches/07_no_notification_on_screensaver.patch:
    - don't show the notification if another window is in fullscreen-mode
      (e.g. screensaver, media-player) (ubuntu #14944, #15783)
  * debian/control:
    - depend on libwnck-dev

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 19 Sep 2005 14:10:19 +0200

notification-daemon (0.2.1-0ubuntu11) breezy; urgency=low

  * debian/patches/04_smarter_arrow_placement.patch:
    - fix another corner case in the drawing code (ubuntu: #14169)
  * 06_right_padding.patch:
    - make sure to padd the right side of the action labels (ubuntu: #14169)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  5 Sep 2005 18:24:37 +0200

notification-daemon (0.2.1-0ubuntu10) breezy; urgency=low

  * debian/patches/04_smarter_arrow_placement.patch:
    - draw a arrow pointing down correctly (ubuntu #14169)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri,  2 Sep 2005 17:08:40 +0200

notification-daemon (0.2.1-0ubuntu9) breezy; urgency=low

  * debian/patches/05_incorrect_draw_arrow.diff:
    - fix the "window is incorrectly drawn on first run" bug (#14006)

 -- Michael Vogt <mvo@debian.org>  Mon, 29 Aug 2005 15:49:26 +0200

notification-daemon (0.2.1-0ubuntu8) breezy; urgency=low

  * Rebuild with the new cairo version

 -- Sebastien Bacher <seb128@canonical.com>  Thu, 18 Aug 2005 17:22:28 +0000

notification-daemon (0.2.1-0ubuntu7) breezy; urgency=low

  * fixed FTBFS

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 11 Aug 2005 09:59:04 +0200

notification-daemon (0.2.1-0ubuntu6) breezy; urgency=low

  * debian/patches/04_smarter_arrow_placement.patch:
    - improve the patch (last version fails in some cases)
    - fix typo

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 11 Aug 2005 00:09:26 +0200

notification-daemon (0.2.1-0ubuntu5) breezy; urgency=low

  * debian/patches/04_smarter_arrow_placement.patch:
    - make the arrows usefull for coordinates close to the right
      screen border

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 10 Aug 2005 19:20:51 +0200

notification-daemon (0.2.1-0ubuntu4) breezy; urgency=low

  * debian/patches/01_dbus_datatypes.patch:
    - Fix dbus data type usage harder to work on 64 bit platforms.
  * Add debian/patches/03_fix_workspace_query.patch:
    - Properly initialize workspace origin if get_work_area() fails.
    - get_work_area(): Cast returned array from XGetWindowProperty() to long*
      instead of guint32 to adhere to XGetWindowProperty specification and
      get correct numbers on 64 platforms.
  * Now this package works on all supported platforms.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 10 Aug 2005 01:28:33 +0200

notification-daemon (0.2.1-0ubuntu3) breezy; urgency=low

  * Add debian/patches/02_fix_64bit_typecast.patch:
    - Replace direct void* -> int32 typecast with a void* -> int64 -> int32
      cast to stop compiler barfing and make the package build again on 64 bit
      archs.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue,  9 Aug 2005 20:43:12 +0200

notification-daemon (0.2.1-0ubuntu2) breezy; urgency=low

  * Add debian/patches/01_dbus_datatypes.patch:
    - src/main.cc: Use the correct dbus data types to read timeout values from
      dbus. This makes timeouts work on powerpc.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue,  9 Aug 2005 19:41:30 +0200

notification-daemon (0.2.1-0ubuntu1) breezy; urgency=low

  * New upstream version.
  * debian/patches/01_buildfix.patch:
    - fixed with the new version.

 -- Sebastien Bacher <seb128@canonical.com>  Thu, 28 Jul 2005 20:51:07 +0200

notification-daemon (0.2.0-0ubuntu1) breezy; urgency=low

  * Initial package.
  * debian/patches/01_buildfix.patch:
    - fix a build issue.

 -- Sebastien Bacher <seb128@canonical.com>  Thu, 28 Jul 2005 16:15:45 +0200
